# App Analytics

Seldon Enterprise Platform has built-in app analytics, which help to improve the product. These analytics focus on tracking certain events that get triggered from the UI, for example user login.

{% hint style="info" %}
All events share a `distinct_id` attribute. This attribute is **linked to the IP address**, so that each IP address is identified as a unique user.
{% endhint %}

## Disable app analytics

You can disable the app analytics through the `enableAppAnalytics` variable of the Seldon Enterprise Platform Helm chart. To disable it just add the following to your Helm variables:

```yaml
# boolean to enable app-analytics (defaults to "true")
enableAppAnalytics: false
```

## Events tracked

| Name         | Trigger                        | Attributes |
| ------------ | ------------------------------ | ---------- |
| `user_login` | Show homepage after logging in |            |

### User login attributes

| Property       | Example Value                            | Notes                |
| -------------- | ---------------------------------------- | -------------------- |
| `BuildTime`    | Wed Apr 22 15:59:09 UTC 2020             |                      |
| `BuildVersion` | 0.6.0                                    |                      |
| `GitBranch`    | master                                   |                      |
| `GitCommit`    | 5ad34e2b556732213873ee6875f2f99d20a471ee |                      |
| `GitStatus`    | dirty                                    |                      |
| `ReleaseType`  | Early-Access                             |                      |
| `distinct_id`  | ABABABABABABBABAB                        | Linked to IP address |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seldon.ai/seldon-enterprise-platform/operations/app-analytics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
